首页 » 网站攻防 » 浏览内容

网站XSS漏洞攻击测试平台—XSSF v3.0

782 0 发表评论

XSSF是一款XSS漏洞测试平台,该产品可以把XSS漏洞的真实危害暴露出来。这个产品为教学、渗透测试和合法的研究服务。

XSSF通过XSS漏洞与目标浏览器建立连接进行更加深入的攻击利用测试。

XSSF提供强大的API库,并且集成于Metasploit渗透测试框架中。

Windows安装XSSF模块
下载安装Metasploit windows免费版:
http://downloads.metasploit.com/data/releases/metasploit-latest-windows-installer.exe

安装完成后将下xssf源码放到Metasploit安装目录msf3下,同样将XSSF文件夹中的data、lib、modules、plugins与msf3下的文件夹合并即可。

下载xssf源代码:选择最新的3.0下载,下载地址  xssf-3.0

运行metasploit客户端,加载xssf模块:msf > load xssf

BackTrack 5 Metasploit更新方法

虚拟机运行BackTrack5 r3在更新Metasploit时卡在pg-0.15.1,升级报错无法正常升级。

原因是msf并没有用BT5内置的Ruby,而是利用自带的Ruby版本为1.9.1,已经很古老了……所以升级系统的Ruby版本也会无济于事,但是按照下面的步骤更新,即可将msf更新到最新。

解决办法:

找到以下文件打开(注:32位、64位)

然后再找到:

修改为:

然后切换至/opt/metasploit/msf3再运行/opt/metasploit/ruby/bin/bundle install
最后msfupdate!

标签:

评论 共 0 条 (RSS 2.0) 发表 评论

  1. 暂无评论,快来抢沙发!

发表评论

  •   没有头像?

关注我们,实时联系

通知公告">更多...

♥如果喜欢本站可以直接点击订阅博客
♥点击此加入晓残博客会员群加入扣群
♥本站免费提供加密解密服务点击解密
♥伙伴们喜欢本站赏个好评呗

关注微信

有偿服务

博客统计

  • 日志总数:477 篇
  • 评论数目:1472 条
  • 标签总数:40 个
  • 页面总数:8 个
  • 分类总数:17 个
  • 友链总数:24 个
  • 建站日期:2011-02-13
  • 运行天数:2123 天
  • 最后更新:2016-12-6

订阅博客